# ANTS-Hub - Copyright (C) Entr'ouvert

from django.contrib import admin

from ants_hub.admin import site

from . import models


class RaccordementAdmin(admin.ModelAdmin):
    list_display = ['name', 'short_apikey']
    search_fields = ['name']

    def short_apikey(self, instance):
        return instance.apikey[:4] + '…'

    short_apikey.short_description = 'API key'


site.register(models.Raccordement, RaccordementAdmin)
site.register(models.Collectivite)
site.register(models.Lieu)
site.register(models.Plage)
site.register(models.RendezVous)
